## org.gnu.gdk
Class EventButton

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event
                  org.gnu.gdk.EventButton

public class EventButton
extends Event

Constructor Summary
`EventButton(Event evt)` Promotion constructor.
`EventButton(org.gnu.glib.Handle handle)`

Method Summary
`int` `getButton()`
`Device` `getDevice()`
`int` `getType()`
`Window` `getWindow()`
`double` `getX()`
`double` `getY()`

Methods inherited from class org.gnu.gdk.Event
`eventsPending, get, getGraphicsExpose, getTime, peek, put`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventButton

    public EventButton(Event evt)

  Promotion constructor. Construct the specific event object by promoting (sharing the `Handle` object of) the base `Event`.

### EventButton

    public EventButton(org.gnu.glib.Handle handle)

Method Detail

### getButton

    public int getButton()

### getX

    public double getX()

### getY

    public double getY()

### getType

    public int getType()

### getWindow

    public Window getWindow()

### getDevice

    public Device getDevice()